## rock-master-20.01-slam-hogman 0.20121001

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
find_package(Rock)

rock_init(hogman 1.0)

set(HOGMAN_INSTALL include/hogman/aislib)

include_directories(. aislib)
add_subdirectory(aislib)
