=== EXTERNAL/Makefile ===
-include ../global.mk

SUBDIRS += csparse

-include ../build_tools/Makefile.subdirs
