=== slam_parser/Makefile ===
-include ../global.mk

SUBDIRS += parser interface 

-include ../build_tools/Makefile.subdirs
