=== debian/changelog ===
rock-master-20.01-slam-hogman (0.20121001-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/OpenSLAM-org/openslam_hog-man.git
  * branch: refs/heads/master
  * commit: a5181578033a595ebec8cd7fa47585efb1fa563b
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sun, 09 Feb 2020 04:36:01 +0100
