=== debian/control ===
Source: rock-master-20.01-slam-hogman
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-base-cmake
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-slam-hogman
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, cmake
Description: HOG-Man - Hierarchical Optimization for Pose Graphs on Manifolds
 HOG-Man is an optimization approach for graph-based SLAM. It provides a
  highly efficient error minimization procedure that considers the the
  underlying space is a manifold and not a Euclidian space. It
  furthermore generates a hierarchy of pose-graphs which is used perform
  the operations during online mapping in a highly efficient way. The
  approach works in 2D and 3D.
